API Explorer 1884 endpoints

Delete parcel by id

DELETE /obp/v7.0.0/banks/ogcr/dynamic-entities/parcel/PARCEL_ID

OBPv7.0.0-dynamicEntity_deleteparcel_ogcr Roles: CanDeleteDynamicEntityRecord_parcel(per bank) _Parcel(ogcr)Dynamic-EntityDynamic

Delete parcel by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"parcel"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "parcel_id": "parcel_03OGNWO397234DQ",
  "multipolygon_coordinates": {
    "type": "MultiPolygon",
    "coordinates": [
      [
        [
          [
            13.405,
            52.52
          ],
          [
            13.406,
            52.52
          ],
          [
            13.406,
            52.521
          ],
          [
            13.405,
            52.521
          ],
          [
            13.405,
            52.52
          ]
        ]
      ]
    ]
  },
  "coordinate_reference_system": "EPSG:4326",
  "cadastral_reference": "string",
  "iacs_codes": "DE-BB-IACS-2026-0012345678",
  "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432"
}
Example success response
{
  "bank_id": "ogcr",
  "parcel": {
    "parcel_id": "parcel_03OGNWO397234DQ",
    "multipolygon_coordinates": {
      "type": "MultiPolygon",
      "coordinates": [
        [
          [
            [
              13.405,
              52.52
            ],
            [
              13.406,
              52.52
            ],
            [
              13.406,
              52.521
            ],
            [
              13.405,
              52.521
            ],
            [
              13.405,
              52.52
            ]
          ]
        ]
      ]
    },
    "coordinate_reference_system": "EPSG:4326",
    "cadastral_reference": "string",
    "iacs_codes": "DE-BB-IACS-2026-0012345678",
    "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_deleteparcel_ogcr Originally /banks/ogcr/dynamic-entities/parcel/PARCEL_ID